Get all Tasks

http
GET https://services.leadconnectorhq.com/contacts/{contactId}/tasks

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
contactIdstringYessx6wyHhbFdRXh302LLNRContact Id

Responses

200 - Successful response
  • tasks (object[])

    • id (string): Example: lJpzYrWdpkC2hX6t2yue

    • title (string): Example: test

    • body (string): Example: testing

    • assignedTo (string): Example: tesTUcmRxWrjqzJS8EjkxNKting

    • dueDate (string): Example: 2021-07-08T02:30:00.000Z

    • completed (boolean): Example: True

    • contactId (string): Example: lJpzYrWdpkC2hX6t2yue

json
{
  "tasks": [
    {
      "id": "lJpzYrWdpkC2hX6t2yue",
      "title": "test",
      "body": "testing",
      "assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
      "dueDate": "2021-07-08T02:30:00.000Z",
      "completed": true,
      "contactId": "lJpzYrWdpkC2hX6t2yue"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?